Gallery Platform API
Reference

List payables

Lists the gallery's payables (what it owes consignors from sales), newest first, with cursor pagination. Filter by `status` or `payee_contact_id`.

GET
/gallery/payables

Lists the gallery's payables (what it owes consignors from sales), newest first, with cursor pagination. Filter by status or payee_contact_id.

Authorization

bearerAuth payables:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: payables:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
status?string

Value in

  • "pending"
  • "paid"
  • "void"
payee_contact_id?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "sale_id": "string",      "sale_item_id": "string",      "artwork_id": "string",      "payee_contact_id": "string",      "payee_name": "string",      "kind": "consignor",      "status": "pending",      "amount_cents": -9007199254740991,      "currency": "string",      "basis_bps": 0,      "basis_amount_cents": -9007199254740991,      "paid_amount_cents": -9007199254740991,      "paid_at": "string",      "notes": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}